'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _ = require('../../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function handleClick(onClick, args) {
	return function (event) {
		event.preventDefault();
		onClick(args);
	};
}

function renderItems(s, items) {
	if (items && items.length > 0) {
		return items.map(function (item, index) {
			return _react2.default.createElement(
				'li',
				{ style: item.highlight ? s.itemHighlight : s.item, key: index },
				_react2.default.createElement(
					'a',
					{ style: s.itemLink, href: '#', onClick: handleClick(item.onClick) },
					item.label
				)
			);
		});
	} else {
		return null;
	}
}

function renderNavigation(s, items) {
	return _react2.default.createElement(
		'ul',
		{ style: s.navigationContainer },
		renderItems(s, items)
	);
}

function renderLogo(s, logo, brand) {
	return _react2.default.createElement(
		'ul',
		{ style: s.logoContainer },
		logo ? _react2.default.createElement('img', { style: s.logo, src: logo }) : null,
		brand ? _react2.default.createElement(
			'span',
			{ style: s.brand },
			brand
		) : null
	);
}

exports.default = function (props) {

	var s = (0, _styles2.default)(props);

	return _react2.default.createElement(
		'nav',
		{ style: s.box },
		_react2.default.createElement(
			'div',
			{ style: s.boxContent },
			renderLogo(s, props.logo, props.brand),
			renderNavigation(s, props.items)
		)
	);
};